summaryrefslogtreecommitdiff
path: root/driver/xf86-input-vmmouse/tools/hal-probe-vmmouse.in
diff options
context:
space:
mode:
Diffstat (limited to 'driver/xf86-input-vmmouse/tools/hal-probe-vmmouse.in')
-rw-r--r--driver/xf86-input-vmmouse/tools/hal-probe-vmmouse.in30
1 files changed, 30 insertions, 0 deletions
diff --git a/driver/xf86-input-vmmouse/tools/hal-probe-vmmouse.in b/driver/xf86-input-vmmouse/tools/hal-probe-vmmouse.in
new file mode 100644
index 000000000..1f75e2559
--- /dev/null
+++ b/driver/xf86-input-vmmouse/tools/hal-probe-vmmouse.in
@@ -0,0 +1,30 @@
+#!/bin/sh
+#
+# Copyright 2008 VMware, Inc.
+#
+# Permission is hereby granted, free of charge, to any person obtaining a
+# copy of this software and associated documentation files (the "Software"),
+# to deal in the Software without restriction, including without limitation
+# on the rights to use, copy, modify, merge, publish, distribute, sub
+# license, and/or sell copies of the Software, and to permit persons to whom
+# the Software is furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice (including the next
+# paragraph) shall be included in all copies or substantial portions of the
+# Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL
+# VMWARE, INC. BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
+# IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+[ -x __HAL_BIN_PREFIX__/hal-set-property ] || exit 0
+[ -x __BIN_PREFIX__/vmmouse_detect ] || exit 0
+
+__BIN_PREFIX__/vmmouse_detect
+if [ $? -eq 0 ]; then
+ __HAL_BIN_PREFIX__/hal-set-property --direct --udi "$UDI" --key input.x11_driver --string "vmmouse"
+fi
+